=== debian/changelog ===
distorm64 (1.7.30-1) unstable; urgency=low

  * Initial release (closes: #652711).

 -- David Martínez Moreno <ender@debian.org>  Tue, 20 Dec 2011 00:49:32 -0800
